Subject: Re: bug#15465: CC-mode misaligns enums that implement an interface in Java

From: Alan Mackenzie <[email-masked]>
Date: Sun, 13 Oct 2013 21:38:38 +0000

Hello, Paul.

On Mon, Sep 30, 2013 at 09:23:53AM +0200, Paul Pogonyshev wrote:
> Sorry, it doesn't apply.

I don't understand what's gone wrong here.  Anyway, I've just committed
that patch to the Emacs trunk (revision #114650).  Perhaps you could try
out this latest fix too, and let me know if there are any more problems
in this area.  Thanks!

> Paul

-- 
Alan Mackenzie (Nuremberg, Germany).

> On 29 September 2013 17:03, Alan Mackenzie <[email-masked]> wrote:
> 
> > On Sat, Sep 28, 2013 at 09:15:52PM +0200, Paul Pogonyshev wrote:
> > > > I've committed a fix, revision #114474, to the bzr trunk.  Could
> > > > you try out the change, please, and either confirm it fixes the
> > > > bug properly, or tell me what hasn't yet been fixed.
> >
> > > Thank you. The case I initially mentioned works properly now, also with
> > > multiple implemented interfaces. However, it seems to not know about
> > > interfaces with generics:
> >
> > > public enum X implements Y <Z>
> > > {
> > >     A,
> > >         B;
> > > }
> >
> > Here's a better patch than the one from last night, which was
> > demonstrably buggy.  It should apply cleanly to the current trunk.
> > Please let me know how thoroughly it works.
> >
> >